html {
  scroll-padding-top: 96.33px;
}

body {
  font-family: "Montserrat", "Arial", serif;
  font-optical-sizing: auto;
  font-display: swap;
  position: relative;
}

header {
  background-color: var(--bg-color-primary);
  width: 100%;
  position: fixed;
  z-index: 2;
}

.menu-toggle {
  border: none;
  background-color: var(--bg-color-secondary);
  color: var(--bg-color-primary);
  border-radius: 8px;
  padding: 5px 10px;
}

a {
  color: black;
  transition: 0.2s ease-in;
}

a:hover {
  color: var(--bg-color-secondary);
  transition: 0.2s ease-out;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 30px;
}

.navbar .logo {
  width: 200px;
}

.navbar .logo img {
  width: 100%;
  height: 100%;
}

ul {
  list-style-type: none;
}

.menu-toggle {
  display: none;
}

.menu {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.side-menu {
  position: fixed;
  top: 0;
  right: -300px;
  width: 300px;
  height: 100vh;
  background-color: var(--bg-color-secondary);
  color: var(--bg-color-primary);
  padding: 1.5rem;
  transition: right 0.3s ease;
  z-index: 3;
  overflow-y: auto;
  box-sizing: border-box;
}

.side-menu.open {
  right: 0;
}

.menu-close {
  background: none;
  border: none;
  font-size: 2rem;
  color: var(--bg-color-primary);
  cursor: pointer;
  margin-bottom: 2rem;
}

.side-menu ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.side-menu ul li {
  margin-bottom: 1.5rem;
}

.side-menu ul li a {
  color: var(--bg-color-primary);
  text-decoration: none;
  font-size: 1.2rem;
}

@media screen and (max-width: 1024px) {
  header {
    background-color: var(--bg-color-primary);
    width: 100%;
    position: fixed;
    z-index: 2;
  }

  .menu-toggle {
    display: inline-block;
  }

  .menu {
    display: none;
  }

  .side-menu {
    width: 400px;
    right: -400px;
  }
}

@media screen and (max-width: 768px) {
  .side-menu {
    width: 100%;
    right: -100%;
  }
}

@media screen and (max-width: 600px) {
  #wpadminbar {
    position: fixed;
  }
}
